AddOnsFu = AceLibrary("AceAddon-2.0"):new("AceConsole-2.0", "FuBarPlugin-2.0")
AddOnsFu.clickableTooltip = true

local L = AceLibrary("AceLocale-2.2"):new("AddOnsFu")
local tablet = AceLibrary("Tablet-2.0")

L:RegisterTranslations("enUS", function() return {
	["AddOn"] = true,
	["Status"] = true,
	["Enabled"] = true,
	["Disabled"] = true,
} end)

function AddOnsFu:OnEnable()

end

function AddOnsFu:ToggleAddOn(name, enabled)
	if enabled then
		DisableAddOn(name)
	else
		EnableAddOn(name)
	end
end

function AddOnsFu:OnTooltipUpdate()
	local cat = tablet:AddCategory(
		'text', L["AddOn"],
		'text2', L["Status"],
		'columns', 2
	)
	
	for i=1, GetNumAddOns() do
		local name, title, notes, enabled, loadable, reason, security = GetAddOnInfo(i)
		cat:AddLine(
			'text', name,
			'text2', L["Enabled"] and enabled or L["Disabled"],
			'func', "ToggleAddOn",
			'arg1', self,
			'arg2', name,
			'arg3', enabled
		)
	end
end
